ФорумПрограммированиеPHP для идиотовРасширения PHP → Sphinx под PHP 7.0

Sphinx под PHP 7.0

  • md5

    Сообщения: 11949 Репутация: N Группа: в ухо

    Spritz 12 ноября 2016 г. 1:50

    Остались еще те, кто пхп юзает? что с расширением sphinx под php7.0?

    все умрут, а я изумруд
  • Crank

    Сообщения: 541 Репутация: N Группа: Джедаи

    Spritz 12 ноября 2016 г. 2:23, спустя 33 минуты 10 секунд

    А нахуя оно нужно?

  • AlexB

    Сообщения: 4290 Репутация: N Группа: в ухо

    Spritz 12 ноября 2016 г. 2:34, спустя 10 минут 26 секунд

    А нахуя оно нужно?

    @Crank, Как нахуя? А искать чем? Или ты именно про расширение, а не про сфинкс, собственно?

    Остались еще те, кто пхп юзает? что с расширением sphinx под php7.0?

    @md5,
    А что за расширение? Там же нет никакого расширения, там же php-ная библиотека? Нет? Под 7-кой не проверял, мы лошары и на 7-ку не перешли еще. Ну проверь, ебт, в чем проблема?
    А еще лучше SphinxSe, там вообще пхп не причем, все на уровне mysql решается.

  • md5

    Сообщения: 11949 Репутация: N Группа: в ухо

    Spritz 12 ноября 2016 г. 2:35, спустя 1 минуту 35 секунд

    @AlexB, я не юзал пхпшное расширение, ща видимо буду пробовать
    всегда ставил расширение для пхп, чтобы не было лишних библиотек

    все умрут, а я изумруд
  • AlexB

    Сообщения: 4290 Репутация: N Группа: в ухо

    Spritz 12 ноября 2016 г. 2:41, спустя 5 минут 24 секунды

    Бля, кстати правда расширение есть
    PECL :: Package :: sphinx [pecl.php.net]
    вот век живи, а дураком помрешь, тоже его не юзал, ибо сфинкс хер знает когда прикручивали и в основном SphinxSE юзали. Ну попробуй собрать под 7-ку, делов-то.

  • md5

    Сообщения: 11949 Репутация: N Группа: в ухо

    Spritz 12 ноября 2016 г. 2:43, спустя 2 минуты 10 секунд

    @AlexB, проблема в

    pecl install sphinx

    pecl/sphinx requires PHP (version >= 5.2.2, version <= 6.0.0, excluded versions: 6.0.0), installed version is 7.0.0

    все умрут, а я изумруд
  • md5

    Сообщения: 11949 Репутация: N Группа: в ухо

    Spritz 12 ноября 2016 г. 3:30, спустя 47 минут 20 секунд

    С php-версией апи все получилось, единственное была какая-то несовместимость

    searchd error: client version is higher than daemon version (client is v.1.32, daemon is v.1.31)

    качнул с сайта, поменял клиентскую хуйню и все ок

    @AlexB, SphinxSe работает быстрее или что?

    все умрут, а я изумруд
  • AlexB

    Сообщения: 4290 Репутация: N Группа: в ухо

    Spritz 12 ноября 2016 г. 5:44, спустя 2 часа 13 минут 17 секунд

    @md5, ну я даже не знаю, быстрее ли. Но как-то кошерно, когда о сфинсксом общаешься прямыми SQL запросами.

    Если еще нужен экстеншен, забей на pecl, скачай бранч для php7 и собери руками. Вот тут:

    php/pecl-search_engine-sphinx [github.com]

  • md5

    Сообщения: 11949 Репутация: N Группа: в ухо

    Spritz 12 ноября 2016 г. 5:55, спустя 11 минут 36 секунд

    @AlexB, не, похуй на pecl, работает и ок

    все умрут, а я изумруд
  • Crank

    Сообщения: 541 Репутация: N Группа: Джедаи

    Spritz 12 ноября 2016 г. 7:30, спустя 1 час 34 минуты 38 секунд

    Ну понятно. Я настоятельно рекомендую работать через SphinxQL. Что бы небыло такой пидористической хуйни, когда у тебя обновился пакет sphinxsearch, а версия api клиента осталась старой и теперь несовместима, что собственно у тебя и произошло.

  • Абырвалг

    Сообщения: 6476 Репутация: N Группа: Джедаи

    Spritz 12 ноября 2016 г. 14:21, спустя 6 часов 51 минуту 32 секунды

    используйте sphinxql. API давно не обновляется и по факту уже как бы deprecated.

    Koc/Sphinxy [github.com] вот вам нормальный кверибилдер под него

  • md5

    Сообщения: 11949 Репутация: N Группа: в ухо

    Spritz 13 ноября 2016 г. 1:12, спустя 10 часов 50 минут 42 секунды

    сорян конечно, но мне это нужно было для переноса старого проекта, который не особо поддерживается - на свеже установленный сервер
    в новом проекте если что буду использовать ql, так что не гундите

    Спустя 99 сек.

    https://github.com/Koc/Sphinxy вот вам нормальный кверибилдер под него

    @Абырвалг, что это? где дока?

    все умрут, а я изумруд
  • Абырвалг

    Сообщения: 6476 Репутация: N Группа: Джедаи

    Spritz 13 ноября 2016 г. 13:14, спустя 12 часов 2 минуты 17 секунд

    Да, сорри, это упущение. Но тесты есть хотя бы.

    
    <?php
    $connectionDsn = 'mysql:host=192.168.56.101;port=9306;charset=utf8';
    $conn = new \Brouzie\Sphinxy\Connection(new \Brouzie\Sphinxy\Connection\PdoConnection());
    
    $qb = $conn
        ->createQueryBuilder()
        ->select('*')
        ->from('products');
    
    if ($_GET['q']) {
        $qb
        ->andWhere('MATCH(@title :title)')
        ->setParameter('title', $qb->getEscaper()->escapeMatch($_GET['q']));
    }
    
    $qb
        ->andWhere('category_id IN :categories_ids')
        ->setParameter('categories_ids', $_GET['categories_ids']);
    
    foreach ($qb->getResult() as $row) {
        $row['id']; // ...
    }
    

    Спустя 75 сек.

    Эта либа поддерживает фасеты The FACET Feature [sphinxsearch.com]

Пожалуйста, авторизуйтесь, чтобы написать комментарий!